## ros-indigo-tele-dir 0.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tele_dir)

find_package(catkin REQUIRED COMPONENTS
  rospy
  std_msgs
)


catkin_package(
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)
catkin_install_python(
   PROGRAMS src/TeleDir.py
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-tele-dir (0.0.5-0trusty) trusty; urgency=high

  * Delete setup.py
  * Rebase cmake because have errors
    begin new branch to resolved
  * Contributors: Rodrigo Alexis Delgado Vega

 -- Rodrigo Delgado <rdelgadovega@gmail.com>  Fri, 28 Jul 2017 04:00:00 -0000

ros-indigo-tele-dir (0.0.4-0trusty) trusty; urgency=high

  * Create setup.py
  * Update CMakeLists.txt
  * Update CMakeLists.txt
  * Delete CMakeLists.txt~
  * Delete package.xml~
  * Contributors: Rodrigo Alexis Delgado Vega

 -- Rodrigo Delgado <rdelgadovega@gmail.com>  Mon, 02 Jan 2017 03:00:00 -0000

ros-indigo-tele-dir (0.0.3-0trusty) trusty; urgency=high

  * Change package description
  * Merge branch 'master' of https://github.com/rdelgadov/tele_dir
  * Delete some prints
  * Merge pull request #1 <https://github.com/rdelgadov/tele_dir/issues/1> from rdelgadov/rdelgadov-patch-1
    Update package.xml
  * Update package.xml
  * resolve test problems with the path of the configs files
  * Contributors: Rodrigo Alexis Delgado Vega, rdelgadov

 -- Rodrigo Delgado <rdelgadovega@gmail.com>  Thu, 15 Dec 2016 03:00:00 -0000

ros-indigo-tele-dir (0.0.2-0trusty) trusty; urgency=high

  * modify drone_config
  * 
    
      * Adds json dump content message to give more flexibility to the xml files.
      * Make execute with rosrun command.
      * Adds unit test to testing xmlhandler functions.
      * remake the xml drone and default configs.
      * Begin Pr2 xml config.
    
  * XML Intern Editor
    + Adds xml intern editor with options to remove, modified and adds new topics, messages or buttons.
    + Refactor some functions like xmlCreator.
  * gitignore
    + Remove from trackeds file the ".pyc" extension and the xml created.
  * Publish Messages in different topics!
    + Adds xmlValidator the type messages validation
    + Adds read to message content
    - Remove velocity control. Pending resolve
  * Merge branch 'master' of https://github.com/rdelgadov/tele_dir
  * Refactoring:
    + Adds method signatures
    + Adds comments in the code
    + Modifies xml_validator to better reflect it's use. It now returns a boolean stating the correctness of the input XML file.
    + Removed various redundant exceptions that were unnecessary given the new structure of the method.
    + Alters many method and function names to better fit with the PEP 8 convention.
  * Create README.md
  * Refactoring beginnings:
    + Adds KeyBinding class
    + Segregates XmlHandler functions
    + Segregates RosFunctions functions
  * Tele_dir version 1.0
    include xmlValidator, xmlCreator, selector to xml configs and navigation with this configuration.
  * first commit
  * Contributors: Rodrigo Alexis Delgado Vega, rdelgadov

 -- Rodrigo Delgado <rdelgadovega@gmail.com>  Mon, 12 Dec 2016 03:00:00 -0000

=== debian/control ===
Source: ros-indigo-tele-dir
Section: misc
Priority: extra
Maintainer: Rodrigo Delgado <rdelgadovega@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-rospy, ros-indigo-std-msgs
Homepage: http://www.ros.org/wiki/tele_dir
Standards-Version: 3.9.2

Package: ros-indigo-tele-dir
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-rospy, ros-indigo-std-msgs
Description: tele_dir is a robust teleoperations software.
 It's design allows for ample configuration in order to fit to many robots, and to any user.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-tele-dir//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
